path: /build/build/docker-cli-app-emulation-24.0.6+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} app-emulation/docker-cli -pv -t
  - |
    emerge -j ${JOBS} --nodeps app-emulation/docker-cli
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/docker-cli && luet-portage
    --dir /pkgdir/docker-cli app-emulation/docker-cli
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:105a288158558281c7ad0768046ba1ec51b2cb347461a0f2595eb45b3b2a06ac
  package:
    name: docker-cli
    version: 24.0.6+1
    category: app-emulation
    requires:
    - name: go-md2man
      version: '>=0'
      category: dev-go
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: The command-line interface for Docker
    uri:
    - https://www.docker.com/ https://github.com/docker/cli
    license: Apache-2.0
    buildtimestamp: 2024-10-09 19:28:16.82281634 +0000 UTC m=+91.584710530
    labels:
      BDEPEND: '>=dev-lang/go-1.19.0 dev-go/go-md2man >=dev-lang/go-1.10'
      IUSE: hardened
      RDEPEND: '!<app-emulation/docker-20.10.1'
      emerge.packages: app-emulation/docker-cli
      kit: core-kit
      original.package.name: app-emulation/docker-cli
      original.package.slot: "0"
      original.package.version: 24.0.6
    treedir: /build/packages
  package_dir: /pkgdir/docker-cli
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b43fbc768aa8f3aa6c8415f88d44da6b3f4b026a76fc2e8e8573636b2236180b
compressiontype: zstd
files:
- usr/bin/docker
- usr/share/bash-completion/completions/docker
- usr/share/bash-completion/completions/dockerd
- usr/share/fish/vendor_completions.d/docker.fish
- usr/share/zsh/site-functions/_docker
- var/db/pkg/app-emulation/docker-cli-24.0.6/BDEPEND
- var/db/pkg/app-emulation/docker-cli-24.0.6/BUILD_TIME
- var/db/pkg/app-emulation/docker-cli-24.0.6/CATEGORY
- var/db/pkg/app-emulation/docker-cli-24.0.6/CBUILD
- var/db/pkg/app-emulation/docker-cli-24.0.6/CFLAGS
- var/db/pkg/app-emulation/docker-cli-24.0.6/CHOST
- var/db/pkg/app-emulation/docker-cli-24.0.6/CONTENTS
- var/db/pkg/app-emulation/docker-cli-24.0.6/COUNTER
- var/db/pkg/app-emulation/docker-cli-24.0.6/CTARGET
- var/db/pkg/app-emulation/docker-cli-24.0.6/CXX
- var/db/pkg/app-emulation/docker-cli-24.0.6/CXXFLAGS
- var/db/pkg/app-emulation/docker-cli-24.0.6/DEFINED_PHASES
- var/db/pkg/app-emulation/docker-cli-24.0.6/DESCRIPTION
- var/db/pkg/app-emulation/docker-cli-24.0.6/EAPI
- var/db/pkg/app-emulation/docker-cli-24.0.6/FEATURES
- var/db/pkg/app-emulation/docker-cli-24.0.6/HOMEPAGE
- var/db/pkg/app-emulation/docker-cli-24.0.6/INHERITED
- var/db/pkg/app-emulation/docker-cli-24.0.6/IUSE
- var/db/pkg/app-emulation/docker-cli-24.0.6/IUSE_EFFECTIVE
- var/db/pkg/app-emulation/docker-cli-24.0.6/KEYWORDS
- var/db/pkg/app-emulation/docker-cli-24.0.6/LDFLAGS
- var/db/pkg/app-emulation/docker-cli-24.0.6/LICENSE
- var/db/pkg/app-emulation/docker-cli-24.0.6/NEEDED
- var/db/pkg/app-emulation/docker-cli-24.0.6/NEEDED.ELF.2
- var/db/pkg/app-emulation/docker-cli-24.0.6/PDEPEND
- var/db/pkg/app-emulation/docker-cli-24.0.6/PF
- var/db/pkg/app-emulation/docker-cli-24.0.6/RDEPEND
- var/db/pkg/app-emulation/docker-cli-24.0.6/REQUIRES
- var/db/pkg/app-emulation/docker-cli-24.0.6/RESTRICT
- var/db/pkg/app-emulation/docker-cli-24.0.6/SIZE
- var/db/pkg/app-emulation/docker-cli-24.0.6/SLOT
- var/db/pkg/app-emulation/docker-cli-24.0.6/USE
- var/db/pkg/app-emulation/docker-cli-24.0.6/docker-cli-24.0.6.ebuild
- var/db/pkg/app-emulation/docker-cli-24.0.6/environment.bz2
- var/db/pkg/app-emulation/docker-cli-24.0.6/repository
package_cacheimage: ""
runtime:
  name: docker-cli
  version: 24.0.6+1
  category: app-emulation
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: The command-line interface for Docker
  uri:
  - https://www.docker.com/ https://github.com/docker/cli
  license: Apache-2.0
  labels:
    BDEPEND: '>=dev-lang/go-1.19.0 dev-go/go-md2man >=dev-lang/go-1.10'
    IUSE: hardened
    RDEPEND: '!<app-emulation/docker-20.10.1'
    emerge.packages: app-emulation/docker-cli
    kit: core-kit
    original.package.name: app-emulation/docker-cli
    original.package.slot: "0"
    original.package.version: 24.0.6
